## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual
Interface IVirtualNode

All Known Subinterfaces:
  org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.virtual.ICatalogNode, ICatalogsFolder, IDataTypesFolder, IDataTypesFolder, IDBEventsFolder, IDBEventsFolder, ISynonymFolder, IVirtualCreationNode, IWebServicesFolder, IWebServicesFolder

All Known Implementing Classes:
  org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.CatalogNode, CatalogsFolder, CheckConstraintNode, DataTypesFolder, DataTypesFolder, DBEventsFolder, DefaultNode, ForeignKeyNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.IndexNode, ParametersNode, PrimaryKeyNode, ProxyTableNode, ProxyTableNode, RuleNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.StoredProcedureNode, SybaseASACheckConstraintNode, SybaseASAForeignKeyNode, SybaseASAIndexNode, SybaseASAPrimaryKeyNode, SybaseASAStoredProcedureNode, SybaseASATableNode, SybaseASAUDFNode, SybaseASAUDTNode, SybaseASAUniqueConstraintNode, SybaseASAViewNode, SybaseASECheckConstraintNode, SybaseASEForeignKeyNode, SybaseASEIndexNode, SybaseASEPrimaryKeyNode, SybaseASEStoredProcedureNode, SybaseASETableNode, SybaseASEUDFNode, SybaseASEUDTNode, SybaseASEUniqueConstraintNode, SybaseASEViewNode, SybaseIndexNode, SybaseViewNode, SybaseViewNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.TableNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.UDFNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.UDTNode, UniqueConstraintNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.ViewNode, VirtualNode, WebServicesAsTableFolder, WebServicesFolder, WebServicesFolder

    public interface IVirtualNode

Author:
  ljulien

Method Summary
`void` `addChildren(java.util.Collection collection)` Will add the following children to the collection
`void` `addChildren(java.lang.Object child)` Will add the following children to the collection
`java.lang.Object[]` `getChildrenArray()`
`java.lang.String` `getDisplayName()` Display Name of the Virtual Node - Will be displayed in the Model Explorer if null, getName will be used
`java.lang.String` `getGroupID()`
`java.lang.String` `getName()` Name of the Virtual Node
`java.lang.Object` `getParent()`
`org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionInfo` `getParentConnection()`
`boolean` `hasChildren()`
`void` `removeAllChildren()` Will remove all the children contained within this node
`void` `removeChildren(java.lang.Object child)` Will remove the provided children from the child collection

Method Detail

### getName

    java.lang.String getName()

  Name of the Virtual Node

  Returns:

### getDisplayName

    java.lang.String getDisplayName()

  Display Name of the Virtual Node - Will be displayed in the Model Explorer if null, getName will be used

  Returns:

### getParent

    java.lang.Object getParent()

  Returns:
    the parent of this node in the tree

### hasChildren

    boolean hasChildren()

  Returns:
    true if has any children?

### getChildrenArray

    java.lang.Object[] getChildrenArray()

  Returns:
    The child array

### addChildren

    void addChildren(java.lang.Object child)

  Will add the following children to the collection

### addChildren

    void addChildren(java.util.Collection collection)

  Will add the following children to the collection

### removeChildren

    void removeChildren(java.lang.Object child)

  Will remove the provided children from the child collection

  Parameters:
    `child` -

### removeAllChildren

    void removeAllChildren()

  Will remove all the children contained within this node

### getGroupID

    java.lang.String getGroupID()

  Returns:
    The ID that elements should carry to be included inside this virtual folder

### getParentConnection

    org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionInfo getParentConnection()